<?php
interface Plugg_User_Widget
{   
    function userWidgetGetNames();
    function userWidgetGetNicename($widgetName);
    function userWidgetGetContent($widgetName, Sabai_User $viewer, Sabai_Template_PHP $template, Sabai_User_Identity $identity, $isMini);
}